net.sf.jasperreports.charts.base

## Class JRBaseCategorySeries

- java.lang.Object
- - net.sf.jasperreports.charts.base.JRBaseCategorySeries

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, JRCategorySeries, JRCloneable
  Direct Known Subclasses:
    JRDesignCategorySeries

      public class JRBaseCategorySeries
      extends java.lang.Object
      implements JRCategorySeries, java.io.Serializable

  Version:
    $Id: JRBaseCategorySeries.java 5877 2013-01-07 19:51:14Z teodord $
  Author:
    Teodor Danciu (teodord@users.sourceforge.net)
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected JRExpression` | `categoryExpression`
    `protected JRHyperlink` | `itemHyperlink`
    `protected JRExpression` | `labelExpression`
    `protected JRExpression` | `seriesExpression`
    `protected JRExpression` | `valueExpression`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `JRBaseCategorySeries()`
    `` | `JRBaseCategorySeries(JRCategorySeries categorySeries, JRBaseObjectFactory factory)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `clone()`
    `JRExpression` | `getCategoryExpression()`
    `JRHyperlink` | `getItemHyperlink()` Returns the hyperlink specification for chart items.
    `JRExpression` | `getLabelExpression()`
    `JRExpression` | `getSeriesExpression()`
    `JRExpression` | `getValueExpression()`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### seriesExpression

          protected JRExpression seriesExpression

    - #### categoryExpression

          protected JRExpression categoryExpression

    - #### valueExpression

          protected JRExpression valueExpression

    - #### labelExpression

          protected JRExpression labelExpression

    - #### itemHyperlink

          protected JRHyperlink itemHyperlink

  - ### Constructor Detail

    - #### JRBaseCategorySeries

          protected JRBaseCategorySeries()

    - #### JRBaseCategorySeries

          public JRBaseCategorySeries(JRCategorySeries categorySeries,
                              JRBaseObjectFactory factory)

  - ### Method Detail

    - #### getSeriesExpression

          public JRExpression getSeriesExpression()

      Specified by:
        `getSeriesExpression` in interface `JRCategorySeries`
      Returns:
        the expression of the series name. The value of this expression can be any `java.lang.Comparable` object.
        Note that this expression may return different values with each iteration, which in turn will result in the dataset having multiple category series, even though a single `<categorySeries>` tag was used inside `<categoryDataset>`. However, this expression usually returns a `java.lang.String` constant, and there are several `<categorySeries>` tags that introduce multiple category series in the dataset.

    - #### getCategoryExpression

          public JRExpression getCategoryExpression()

      Specified by:
        `getCategoryExpression` in interface `JRCategorySeries`
      Returns:
        the expression of the name of the category for each value inside the series specified by the series expression. Categories are `java.lang.Comparable` objects (not necessarily `java.lang.String` objects).

    - #### getValueExpression

          public JRExpression getValueExpression()

      Specified by:
        `getValueExpression` in interface `JRCategorySeries`
      Returns:
        the value expression, a `java.lang.Number` value for each category in the specified series.

    - #### getLabelExpression

          public JRExpression getLabelExpression()

      Specified by:
        `getLabelExpression` in interface `JRCategorySeries`
      Returns:
        the label expression. If present, this expression allows customization of the item labels in the chart.

    - #### getItemHyperlink

          public JRHyperlink getItemHyperlink()

      Description copied from interface: `JRCategorySeries`
      Returns the hyperlink specification for chart items.

      The hyperlink will be evaluated for every chart item and an image map will be created for the chart.

      Specified by:
        `getItemHyperlink` in interface `JRCategorySeries`
      Returns:
        hyperlink specification for chart items

    - #### clone

          public java.lang.Object clone()

      Specified by:
        `clone` in interface `JRCloneable`
      Overrides:
        `clone` in class `java.lang.Object`

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com